﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using FlashCard7BL;
using FlashCard7BL.Interficies;

namespace FlashCard7
{
    /// <summary>
    /// Interaction logic for TematicaMercatControl.xaml
    /// </summary>
    public partial class TematicaMercatControl : UserControl
    {
        private Tematica _tema;

        public Tematica Tema
        {
            get { return _tema; }
            set { _tema = value; }
        }

        public TematicaMercatControl()
        {
            InitializeComponent();
        }

        public void CarregaPaquets(Tematica t)
        {
            this.Tema = t;

            foreach (Paquet p in this.Tema.Paquets)
            {
                PaquetMercatControl pmc = new PaquetMercatControl();
                pmc.CarregaPaquet(p);

                this.stackPaquets.Children.Add(pmc);
            }
        }

        private void btnTematica_Click(object sender, RoutedEventArgs e)
        {
            if (this.stackPaquets.Visibility == System.Windows.Visibility.Collapsed)
            {
                this.stackPaquets.Visibility = System.Windows.Visibility.Visible;
            }
            else
            {
                this.stackPaquets.Visibility = System.Windows.Visibility.Collapsed;
            }
        }
    }
}
