﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using FlashCard7BL;
using FlashCard7BL.Interficies;

namespace FlashCard7
{
    /// <summary>
    /// Interaction logic for Proves.xaml
    /// </summary>
    public partial class Proves : Window
    {
        BLClientProxy proxy = new BLClientProxy();

        public Proves()
        {
            InitializeComponent();
        }

        private void btnInsereix_Click(object sender, RoutedEventArgs e)
        {
            Targeta t = new Targeta();

            t.TitolFront = txtTitolFront.Text;
            t.DescFront = txtDescFront.Text;
            t.TitolBack = txtTitolBack.Text;
            t.DescBack = txtDescBack.Text;
            t.Paquet = Int32.Parse(txtPaquet.Text);

            lblResultat.Content = proxy.InsertDirectTargeta(t).ToString();
        }

        private void btnAfegir_Click(object sender, RoutedEventArgs e)
        {
            lblAfegirCredit.Content = proxy.ActualitzaCredit(decimal.Parse(txtCredit.Text), VariablesGlobals.UsuariActual.Id).ToString();
        }
    }
}
