﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;
using System.Runtime.Serialization;

namespace FlashCard7BL.Interficies
{
    [DataContract]
    [Table(Name = "Codis")]
    public class Codis
    {
        private int _id;
        private string _codi;
        private bool _utilitzat;
        private decimal _valor;

        [DataMember]
        [Column(IsPrimaryKey = true, CanBeNull = false, IsDbGenerated = true)]
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        [DataMember]
        [Column(CanBeNull = false)]
        public string Codi
        {
            get { return _codi; }
            set { _codi = value; }
        }

        [DataMember]
        [Column(CanBeNull = false)]
        public bool Utilitzat
        {
            get { return _utilitzat; }
            set { _utilitzat = value; }
        }

        [DataMember]
        [Column(CanBeNull = false, DbType = "money")]
        public decimal Valor
        {
            get { return _valor; }
            set { _valor = value; }
        }
    }
}
