﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;
using System.Runtime.Serialization;

namespace FlashCard7BL.Interficies
{
    [DataContract]
    [Table(Name = "Targeta")]
    public class Targeta
    {
        private int _id;
        private string _titolFront;
        private string _descFront;
        private string _titolBack;
        private string _descBack;
        private int _paquet;

        [DataMember]
        [Column(IsPrimaryKey = true, CanBeNull = false, IsDbGenerated=true)]
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        [DataMember]
        [Column(CanBeNull = false)]
        public string TitolFront
        {
            get { return _titolFront; }
            set { _titolFront = value; }
        }

        [DataMember]
        [Column(CanBeNull = true)]
        public string DescFront
        {
            get { return _descFront; }
            set { _descFront = value; }
        }

        [DataMember]
        [Column(CanBeNull = false)]
        public string TitolBack
        {
            get { return _titolBack; }
            set { _titolBack = value; }
        }

        [DataMember]
        [Column(CanBeNull = true)]
        public string DescBack
        {
            get { return _descBack; }
            set { _descBack = value; }
        }

        [DataMember]
        [Column(CanBeNull = false)]
        public int Paquet
        {
            get { return _paquet; }
            set { _paquet = value; }
        }
    }
}
