﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;
using System.Runtime.Serialization;

namespace FlashCard7BL.Interficies
{
    [Table(Name="Tematica")]
    [DataContract]
    public class Tematica
    {
        private int _id;
        private string _nom;
        private string _descripcio;
        private List<Paquet> _paquets;

        [Column(IsPrimaryKey = true, CanBeNull = false, IsDbGenerated = true)]
        [DataMember]
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public string Nom
        {
            get { return _nom; }
            set { _nom = value; }
        }

        [Column(CanBeNull = true)]
        [DataMember]
        public string Descripcio
        {
            get { return _descripcio; }
            set { _descripcio = value; }
        }

        [DataMember]
        public List<Paquet> Paquets
        {
            get { return _paquets; }
            set { _paquets = value; }
        }
    }
}
