﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;
using System.Runtime.Serialization;

namespace FlashCard7BL.Interficies
{
    [Table(Name = "Usuari")]
    [DataContract]
    public class Usuari
    {
        private int _id;
        private string _login;
        private string _contrasenya;
        private int _rol;
        private DateTime _dtCreacio;
        private string _nom;
        private string _cognom1;
        private string _cognom2;
        private string _email;
        private decimal _credit;

        private Rol _rolE;
        private List<Paquet> _paquets;

        [Column(IsPrimaryKey = true, CanBeNull = false, IsDbGenerated = true)]
        [DataMember]
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public string Login
        {
            get { return _login; }
            set { _login = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public string Contrasenya
        {
            get { return _contrasenya; }
            set { _contrasenya = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public int Rol
        {
            get { return _rol; }
            set { _rol = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public DateTime DTCreacio
        {
            get { return _dtCreacio; }
            set { _dtCreacio = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public string Nom
        {
            get { return _nom; }
            set { _nom = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public string Cognom1
        {
            get { return _cognom1; }
            set { _cognom1 = value; }
        }

        [Column(CanBeNull = true)]
        [DataMember]
        public string Cognom2
        {
            get { return _cognom2; }
            set { _cognom2 = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public string Email
        {
            get { return _email; }
            set { _email = value; }
        }

        [Column(CanBeNull = false, DbType = "money")]
        [DataMember]
        public decimal Credit
        {
            get { return _credit; }
            set { _credit = value; }
        }

        [DataMember]
        public Rol RolE
        {
            get { return _rolE; }
            set { _rolE = value; }
        }

        [DataMember]
        public List<Paquet> Paquets
        {
            get { return _paquets; }
            set { _paquets = value; }
        }
    }
}
