﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using FlashCard7BL;
using FlashCard7BL.Interficies;

namespace FlashCard7
{
    /// <summary>
    /// Interaction logic for MercatControl.xaml
    /// </summary>
    public partial class MercatControl : UserControl
    {
        private List<Tematica> _llistaTemes;

        public List<Tematica> LlistaTemes
        {
            get { return _llistaTemes; }
            set { _llistaTemes = value; }
        }

        public MercatControl()
        {
            InitializeComponent();
        }

        public void CarregaTemes(List<Tematica> llT)
        {
            this.wrapTematiques.Children.Clear();
            this.LlistaTemes = llT;

            foreach (Tematica t in this.LlistaTemes)
            {
                TematicaMercatControl tmc = new TematicaMercatControl();

                tmc.btnTematica.Content = t.Nom;

                tmc.ToolTip = t.Descripcio;

                tmc.CarregaPaquets(t);

                this.wrapTematiques.Children.Add(tmc);
            }
        }
    }
}
