﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using FlashCard7BL;
using FlashCard7BL.Interficies;

namespace FlashCard7
{
    /// <summary>
    /// Interaction logic for StudyControl.xaml
    /// </summary>
    public partial class StudyControl : UserControl
    {
        public StudyControl()
        {
            InitializeComponent();
        }

        private void StudyCtrl_Loaded(object sender, RoutedEventArgs e)
        {
            this.CarregaPaquets();
        }

        void PaquetButton_Click(object sender, RoutedEventArgs e)
        {
            PaquetButton pb = (PaquetButton)sender;
            VariablesGlobals.MainFinestra.AmagaControls();
            VariablesGlobals.MainFinestra.TargetesEstudia(pb.Paquet);
        }

        public void CarregaPaquets()
        {
            if (VariablesGlobals.UsuariActual != null)
            {
                if (VariablesGlobals.UsuariActual.Paquets.Count > 0)
                {
                    wpPaquets.Children.Clear();

                    foreach (Paquet p in VariablesGlobals.UsuariActual.Paquets)
                    {
                        PaquetButton pb = new PaquetButton(p);
                        pb.Click += new RoutedEventHandler(PaquetButton_Click);
                        wpPaquets.Children.Add(pb);
                    }
                }
            }
        }
    }
}
