﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using FlashCard7BL;
using FlashCard7BL.Interficies;

namespace FlashCard7
{
    public class PaquetButton : Button
    {
        #region Propietats

        private Paquet _paquet;

        public Paquet Paquet
        {
            get { return _paquet; }
            set { _paquet = value; }
        }

        #endregion

        #region Constructors

        public PaquetButton(Paquet p)
        {
            this.Margin = new Thickness(10, 10, 0, 0);
            this.Height = 170;
            this.Width = 270;
            this.Paquet = p;
            this.Content = this.Paquet.Nom;
			this.Style = (Style)FindResource("PaquetButtonEstil");
        }

        #endregion
    }
}
