﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FlashCard7BL;
using FlashCard7BL.Interficies;

namespace FlashCard7
{
    static class VariablesGlobals
    {
        #region Variables

        private static Usuari _usuariActual;
        private static MainWindow _mainFinestra;

        private static bool _apagaVamonos;

        private static BLClientProxy proxy = new BLClientProxy();

        public static Usuari UsuariActual
        {
            get { return _usuariActual; }
            set { _usuariActual = value; }
        }

        public static MainWindow MainFinestra
        {
            get { return _mainFinestra; }
            set { _mainFinestra = value; }
        }

        public static bool ApagaVamonos
        {
            get { return _apagaVamonos; }
            set { _apagaVamonos = value; }
        }

        public static void ResetUsuari()
        {
            UsuariActual = proxy.GetUsuari(UsuariActual.Id);
        }

        #endregion

        #region Enumeracions

        public enum RolsEnum
        {
            Administrador = 1,
            Usuari = 2
        }

        #endregion
    }
}
