﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;
using System.Runtime.Serialization;

namespace FlashCard7BL.Interficies
{
    [Table(Name = "Paquet")]
    [DataContract]
    public class Paquet
    {
        private int _id;
        private string _nom;
        private string _descripcio;
        private decimal _preu;
        private bool _professional;

        private List<Targeta> _targetes;

        [Column(IsPrimaryKey = true, CanBeNull = false, IsDbGenerated = true)]
        [DataMember]
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public string Nom
        {
            get { return _nom; }
            set { _nom = value; }
        }

        [Column(CanBeNull = true)]
        [DataMember]
        public string Descripcio
        {
            get { return _descripcio; }
            set { _descripcio = value; }
        }

        [Column(CanBeNull = false, DbType = "money")]
        [DataMember]
        public decimal Preu
        {
            get { return _preu; }
            set { _preu = value; }
        }

        [Column(CanBeNull = false)]
        [DataMember]
        public bool Professional
        {
            get { return _professional; }
            set { _professional = value; }
        }

        [DataMember]
        public List<Targeta> Targetes
        {
            get { return _targetes; }
            set { _targetes = value; }
        }
    }
}
