﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using FlashCard7Mobile.DALservice;
using System.ComponentModel;

namespace FlashCard7Mobile
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void btnLogin_Click(object sender, RoutedEventArgs e)
        {
            iDALClient proxy = new iDALClient();

            proxy.LoginUsuariCompleted += new EventHandler<LoginUsuariCompletedEventArgs>(proxy_LoginUsuariCompleted);
            proxy.LoginUsuariAsync(this.txtLogin.Text, this.pwdContrasenya.Password);
        }

        void proxy_LoginUsuariCompleted(object sender, LoginUsuariCompletedEventArgs e)
        {
            Usuari u = e.Result;
            if (u!=null)
            {
                MessageBox.Show(u.Nom);
            }
        }
    }
}